Package org.eclipse.emf.cdo.view

# Interface CDOViewRegistry.Registration

Enclosing interface:
  `CDOViewRegistry`

public static interface CDOViewRegistry.Registration
A bidirectional mapping between a registered `view` and its `ID`.

Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`int`
`getID()`
Returns the ID of this registration.
`CDOView`
`getView()`
Returns the `CDOView` of this registration.

## Method Details

### getID

int getID()
Returns the ID of this registration.

### getView

CDOView getView()
Returns the `CDOView` of this registration.